clear variables;
close all;
load ('D:/courses/NeuralNetworks(Arabic)/datasets/mnist/MnistTrainX');
load ('D:/courses/NeuralNetworks(Arabic)/datasets/mnist/MnistTrainY');
load ('D:/courses/NeuralNetworks(Arabic)/datasets/mnist/MnistTestX');
load ('D:/courses/NeuralNetworks(Arabic)/datasets/mnist/MnistTestY');


N= size(MnistTrainX,1);
X = MnistTrainX(1:N,:);
t = MnistTrainY(1:N);

NTest= size(MnistTestX,1);
Xtest = MnistTestX(1:NTest,:);
Ttest = MnistTestY(1:NTest);
close all;

options.max_epochs = 20;
options.lr_milestone = 'epoch'; % 'effective_lr', 'iteration'
options.lr_start = 0.001;
options.lr_mult  = 0.9;
options.lr_staying_mult = 10;
options.cross_entropy_type = 'soft'; % 'hard'
options.weights_init_method = 'small_random'; %{'data_mean', 'small_random', 'kmeans', 'zero', 'load'}
options.dataset_name = 'mnist';
options.display_weights = 1;
options.rand_init_std = 0.01;
options.adjust_for_imbalance = 0;
options.weight_decay = 0;

rng(11);
single_layer_auto_associative_MSE(X,t,Xtest,Ttest, 10, options);
